Skip to main content
GET
/
environments
/
{environmentId}
/
analytics
/
visits
Get visit analytics
curl --request GET \
  --url https://app.dynamicauth.com/api/v0/environments/{environmentId}/analytics/visits \
  --header 'Authorization: Bearer <token>'
{
  "summedSessionsCount": 123,
  "summedTotalUniqueCount": 123,
  "users": {
    "totalUnique": 123,
    "sessions": [
      {
        "count": 123,
        "uniqueUsers": 123,
        "date": "<string>"
      }
    ]
  },
  "visits": {
    "totalUnique": 123,
    "sessions": [
      {
        "count": 123,
        "uniqueUsers": 123,
        "date": "<string>"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://www.dynamic.xyz/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environmentId
string
required

ID of the environment

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

Query Parameters

startDate
string

ISO 8601 date-time for the start of the analytics window (e.g. 2024-01-01T00:00:00Z)

endDate
string

ISO 8601 date-time for the end of the analytics window

Response

Analytics Visit Response

summedSessionsCount
integer

Total number of sessions across the selected date range

summedTotalUniqueCount
integer

Total number of unique users or visitors across the selected date range

users
object
visits
object